petsc-3.4.2 2013-07-02

# PetscObjectComposedDataGetIntstar

retrieve integer array data attached to an object

### Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscObjectComposedDataGetIntstar(PetscObject obj,int id,int *data,PetscBool  flag)

Not collective

### Input parameters

| obj | - the object from which data is to be retrieved
| id | - the identifier for the data

Output parameters

| data | - the data to be retrieved
| flag | - PETSC_TRUE if the data item exists and is valid, PETSC_FALSE otherwise

The 'data' and 'flag' variables are inlined, so they are not pointers.

Level:developer
Location:include/petsc-private/petscimpl.h
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages